Skip to navigation

Update an invoice approval policy

Beta

Partially updates an existing invoice approval policy. Supports changing approvers, conditions, thresholds, and enablement without recreating the policy. applicable_type cannot be changed after creation.

Your call will only execute if the authenticated API user has permission to do so.

Authentication

AuthorizationBearer
OAuth2 authentication flows. Auth server URLs will vary by environment

Path parameters

idstringRequired
Policy ID

Headers

X-Api-KeystringRequired
API key for authentication
X-API-VersionstringOptional

API version to use (optional, defaults to latest). Supported values: 1.0.0, 1.1.0.

Request

Fields to update
namestringOptional
Policy display name
min_users_for_approvalintegerOptional
Minimum approvers required
is_enabledbooleanOptional
Enable or disable the policy
user_approverslist of objectsOptional
Replace user approver list
role_approverslist of objectsOptional
Replace role approver list
conditionslist of objectsOptional
Replace condition list
use_buyer_approverbooleanOptional

Buyer-as-approver flag

ottimate_location_idintegerOptional
Change owner scope to location
ottimate_company_idintegerOptional
Change owner scope to company

Response

Policy updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error